#!/bin/sh
/usr/bin/cp -f ../testfiles/*.hdf .
valgrind --leak-check=full ./h4toh5 gr_typ_test_ds.hdf gr_typ_test_ds.h5                  
valgrind --leak-check=full ./h4toh5 sds_attr_test_ds.hdf sds_attr_test_ds.h5                
valgrind --leak-check=full ./h4toh5 sds_dim_test_ds.hdf sds_dim_test_ds.h5                
valgrind --leak-check=full ./h4toh5 sds_dim_test2_ds.hdf sds_dim_test2_ds.h5             
valgrind --leak-check=full ./h4toh5 sds_puredim_test_ds.hdf sds_puredim_test_ds.h5      
valgrind --leak-check=full ./h4toh5 sds_dim_attr_ds.hdf sds_dim_attr_ds.h5             
valgrind --leak-check=full ./h4toh5 sds_mix_dim_ds.hdf sds_mix_dim_ds.h5               
valgrind --leak-check=full ./h4toh5 sds_typ_test_ds.hdf sds_typ_test_ds.h5            
valgrind --leak-check=full ./h4toh5 sdsnameclash_test_ds.hdf sdsnameclash_test_ds.h5   
valgrind --leak-check=full ./h4toh5 vg_all_test_ds.hdf vg_all_test_ds.h5              
valgrind --leak-check=full ./h4toh5 -ospe anno_test.hdf anno_test.h5                    
valgrind --leak-check=full ./h4toh5 -ospe gr_typ_test.hdf gr_typ_test.h5                        
valgrind --leak-check=full ./h4toh5 -ospe grnameclash_test.hdf grnameclash_test.h5              
valgrind --leak-check=full ./h4toh5 -ospe gr_comp_test.hdf gr_comp_test.h5                      
valgrind --leak-check=full ./h4toh5 -ospe image_attr_test.hdf image_attr_test.h5                
valgrind --leak-check=full ./h4toh5 -ospe ras24il.hdf ras24il.h5                                
valgrind --leak-check=full ./h4toh5 -ospe ras_24_test.hdf ras_24_test.h5                        
valgrind --leak-check=full ./h4toh5 -ospe ras_8_test.hdf ras_8_test.h5                          
valgrind --leak-check=full ./h4toh5 -ospe sds_attr_test.hdf sds_attr_test.h5                    
valgrind --leak-check=full ./h4toh5 -ospe sds_dim_test.hdf sds_dim_test.h5                      
valgrind --leak-check=full ./h4toh5 -ospe sds_typ_test.hdf sds_typ_test.h5                      
valgrind --leak-check=full ./h4toh5 -ospe sdsnameclash_test.hdf sdsnameclash_test.h5            
valgrind --leak-check=full ./h4toh5 -ospe sds_comp_test.hdf sds_comp_test.h5                    
valgrind --leak-check=full ./h4toh5 -ospe vdata_test.hdf vdata_test.h5                          
valgrind --leak-check=full ./h4toh5 -ospe vdnameclash_test.hdf vdnameclash_test.h5              
valgrind --leak-check=full ./h4toh5 -ospe vg_hl_test.hdf vg_hl_test.h5                          
valgrind --leak-check=full ./h4toh5 -ospe vg_loop_test.hdf vg_loop_test.h5                      
valgrind --leak-check=full ./h4toh5 -ospe vgnameclash_test.hdf vgnameclash_test.h5              
valgrind --leak-check=full ./h4toh5 -ospe vg_all_test.hdf vg_all_test.h5                        
valgrind --leak-check=full ./h4toh5 -sv vdata_1f_test.hdf vdata_1f_test.h5
rm -rf *.hdf
rm -rf *.h5
