#!/bin/sh
/usr/bin/cp -f ../testfiles/grid/*.hdf .
/usr/bin/cp -f ../testfiles/swath/*.hdf .

   valgrind --leak-check=full ./h4toh5 -eos -nc4strict generic_type_grid.hdf generic_type_grid.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict generic_type_swath.hdf generic_type_swath.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_badname.hdf grid_badname.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_badname.hdf swath_badname.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_geo_xy.hdf grid_geo_xy.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_geo_yx.hdf grid_geo_yx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_geo_timexy.hdf grid_geo_timexy.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_geo_timeyx.hdf grid_geo_timeyx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_utm_xy.hdf grid_utm_xy.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_utm_yx.hdf grid_utm_yx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_utm_timexy.hdf grid_utm_timexy.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_utm_timeyx.hdf grid_utm_timeyx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_geo_xyxy.hdf grid_geo_xyxy.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_geo_yxyx.hdf grid_geo_yxyx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4 grid_geo_xyyx.hdf grid_geo_xyyx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_geo_nil.hdf grid_geo_nil.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_utm_xyxy.hdf grid_utm_xyxy.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_utm_yxyx.hdf grid_utm_yxyx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4 grid_utm_xyyx.hdf grid_utm_xyyx.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict grid_utm_nil.hdf grid_utm_nil.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_basic.hdf swath_basic.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_0101.hdf swath_0101.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_1111.hdf swath_1111.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_2121.hdf swath_2121.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_n11n11.hdf swath_n11n11.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_n11n11_tight.hdf swath_n11n11_tight.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_n21n21.hdf swath_n21n21.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_0202.hdf swath_0202.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_1212.hdf swath_1212.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_2222.hdf swath_2222.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_n12n12.hdf swath_n12n12.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_n22n22.hdf swath_n22n22.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_0n20n2.hdf swath_0n20n2.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_1n21n2.hdf swath_1n21n2.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_2n22n2.hdf swath_2n22n2.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_n1n2n1n2.hdf swath_n1n2n1n2.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_n2n2n2n2.hdf swath_n2n2n2n2.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_qdd.hdf swath_qdd.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_dqd.hdf swath_dqd.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_ddq.hdf swath_ddq.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_qgg.hdf swath_qgg.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_gqg.hdf swath_gqg.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_ggq.hdf swath_ggq.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_tll.hdf swath_tll.h5
   valgrind --leak-check=full ./h4toh5 -eos -nc4strict swath_tll02.hdf swath_tll02.h5
#rm -rf *.hdf
#rm -rf *.h5


